## subparse subparse |

## Properties

gchar * | subtitle-encoding | Read / Write
GstFraction | video-fps | Read / Write

## Types and Values

struct | GstSubParse

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstSubParse

## Description

## Synopsis

### Element Information

plugin | subparse
author | Gustavo J. A. M. Carneiro <gjc@inescporto.pt>, GStreamer maintainers <gstreamer-devel@lists.freedesktop.org>
class | Codec/Parser/Subtitle

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-subtitle
| application/x-subtitle-sami
| application/x-subtitle-tmplayer
| application/x-subtitle-mpl2
| application/x-subtitle-dks
| application/x-subtitle-qttext
| application/x-subtitle-lrc

name | src
direction | source
presence | always
details | text/x-raw, format=(string){ pango-markup, utf8 }

## Functions

## Types and Values

### struct GstSubParse

    struct GstSubParse;

## Property Details

### The `“subtitle-encoding”` property

      “subtitle-encoding”        gchar *

Encoding to assume if input subtitles are not in UTF-8 or any other Unicode encoding. If not set, the GST_SUBTITLE_ENCODING environment variable will be checked for an encoding to use. If that is not set either, ISO-8859-15 will be assumed.

Flags: Read / Write

Default value: NULL

### The `“video-fps”` property

      “video-fps”                GstFraction

Framerate of the video stream. This is needed by some subtitle formats to synchronize subtitles and video properly. If not set and the subtitle format requires it subtitles may be out of sync.

Flags: Read / Write